Package org.apache.maven.scm.provider.synergy.util

## Class SynergyTask

- java.lang.Object
- - org.apache.maven.scm.provider.synergy.util.SynergyTask

    public class SynergyTask
    extends java.lang.Object

This class contains the different Synergy roles available.

Author:
  Julien Henry

### Constructor Summary

Constructors
`SynergyTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getComment()`
`java.util.Date` `getModifiedTime()`
`int` `getNumber()`
`java.lang.String` `getUsername()`
`void` `setComment​(java.lang.String comment)`
`void` `setModifiedTime​(java.util.Date modifiedTime)`
`void` `setNumber​(int number)`
`void` `setUsername​(java.lang.String username)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SynergyTask

    public SynergyTask()

### Method Detail

#### getComment

    public java.lang.String getComment()

Returns:
  the comment

#### setComment

    public void setComment​(java.lang.String comment)

Parameters:
  `comment` - the comment to set

#### getModifiedTime

    public java.util.Date getModifiedTime()

Returns:
  the modifiedTime

#### setModifiedTime

    public void setModifiedTime​(java.util.Date modifiedTime)

Parameters:
  `modifiedTime` - the modifiedTime to set

#### getNumber

    public int getNumber()

Returns:
  the number

#### setNumber

    public void setNumber​(int number)

Parameters:
  `number` - the number to set

#### getUsername

    public java.lang.String getUsername()

Returns:
  the username

#### setUsername

    public void setUsername​(java.lang.String username)

Parameters:
  `username` - the username to set